package com.alterdekim.hearthhack.component.processor.client.request;

import com.alterdekim.Protocol;
import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.ClientRequestBody;
import com.alterdekim.hearthhack.util.Util;

public class GetAchieves extends ClientRequestParser {
    @Override
    public void parse(BattleNetPacket packet, ClientRequestBody body, TcpConnection conn) throws Exception {
        //Protocol.GetAchieves getAchieves = Protocol.GetAchieves.parseFrom(body.getBody());
        // Achieves

        byte[] b = Util.hexStringToByteArray("[encoded data, 12496 characters]");

        Protocol.Header header = Protocol.Header.newBuilder()
                .setServiceId(4)
                .setMethodId(1)
                .setToken(conn.nextToken())
                .setObjectId(0)
                .setSize(b.length)
                .setStatus(0)
                .build();

        conn.send(new BattleNetPacket(header, b));
    }

    @Override
    public int getId() {
        return 253;
    }
}
